EDIT - bug #9237

FeatureTree Sortindex updater creates wrong sortindex
10/02/2020 09:20 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal Found in Version:

Description

mail NK:

ich beobachte jetzt schon seit einer Weile, dass sich die Reihenfolge der Features, die ich im TaxEditor mit dem
Merkmal-Baum-Editor im Cichorieae Feature Tree per Drag+Drop einstelle, nach ein paar Sitzungen(?) wieder verloren geht. Mache
ich etwas falsch oder ist das ein (bekannter?) Bug (ich erinnere mich, dass dies friher schon mal ein Thema war, dachte aber, das
wére dann auch schon mal in Ordnung gewesen)?

mail NK:

ich hatte einen Verdacht und habe das eben mal Uberprift und bestatigt
gefunden:

Manchmal, wenn ich einiges im Taxontree umgebaut habe und es dann irgendwelche Probleme gibt, benutze ich erfolgreich die
Funktion "Update Sortindices", ohne irgendeine der defaultmaBig angehakten Optionen abzuw&hlen.

Das Update des Sortindex des Merkmalsbaumes sorgt aber dafir, dass meine eigene Sortierung des Merkmalsbaumes riickgangig
gemacht wird, was doch sicher nicht der Sinn dieser Funktion ist. Zugunsten welcher Sortierung ist mir dabei nicht so recht klar, weil
das Resultat keine alphabetische ist.h

Associated revisions

Revision 8be5973f - 07/07/2021 06:08 PM - Andreas Miiller

fix #9237 fix incorrect sortindex updating (use existing sortindex, not id order)

History

#1 - 12/03/2020 05:57 PM - Andreas Miuller

- Target version changed from Release 5.18 to Release 5.19

#2 - 01/27/2021 03:44 PM - Andreas Miuller

- Target version changed from Release 5.19 to Release 5.21

#3 - 03/10/2021 02:36 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#4 - 04/16/2021 09:51 PM - Andreas Miuller

- Target version changed from Release 5.22 to Release 5.25

#5 - 07/07/2021 06:09 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|8be5973f6635380f96052983a1f74aa118b2db41.

#6 - 07/15/2021 09:42 AM - Andreas Miiller
- Status changed from Resolved to In Progress

- Priority changed from New to Highest
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/8be5973f6635380f96052983a1f74aa118b2db41

Unfortunately this does not seem to work yet. | tested with TaxEditor and the order of a feature tree changed after a sortindex update.

#7 - 07/16/2021 02:47 PM - Andreas Miller

- Target version changed from Release 5.25 to Release 5.45

#8 - 09/17/2021 09:36 AM - Andreas Miiller
- Status changed from In Progress to Closed
- Target version changed from Release 5.45 to Release 5.25

- % Done changed from 50 to 100

| tested again and could not see any errors. So | close the ticket and move back to fixing milestone.

Reopen if issues are still observed.
